<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1, user-scalable=no, width=device-width">
    <title></title>

    <link href="css/ionic.app.css" rel="stylesheet">

    <!-- ionic/angularjs js -->
    <script src="lib/ionic/js/ionic.bundle.js"></script>

    <!-- cordova script (this will be a 404 during development) -->
    <script src="cordova.js"></script>
    <!-- your app's js -->
    <script src="js/app.js"></script>
  </head>
  <body ng-app="starter">
    <ion-pane ng-controller="AppCtrl">
      <ion-header-bar class="bar-balanced">
        <h1 class="title">Heatsink calculator</h1>
	<button class="button button-icon icon ion-android-more-vertical" ng-click="showSheet()"></button>
      </ion-header-bar>
      <ion-content>
	<div class="list">
	  <span class="item item-divider bar bar-dark">Heat source (transistor)</span>
	  <label class="item item-input">
	    <span class="input-label">T<sub>j</sub></span>
	    <input type="number" step="0.01" ng-model="formData.Tj" ng-change="calculate()" />
	    <span class="input-label">&nbsp;°C</span>
	  </label>
	  <label class="item item-input">
	    <span class="input-label">R<sub>θj-c</sub></span>
	    <input type="number" step="0.01" ng-model="formData.Rjc" ng-change="calculate()" />
	    <span class="input-label">&nbsp;°C/W</span>
	  </label>
	  <label class="item item-input">
	    <span class="input-label">P</span>
	    <input type="number" step="0.01" ng-model="formData.P" ng-change="calculate()" />
	    <span class="input-label">&nbsp;W</span>
	  </label>
	  <span class="item item-divider bar bar-dark">Thermal pad/paste</span>
	  <label class="item item-input">
	    <span class="input-label">R<sub>θc-h</sub></span>
	    <input type="number" step="0.01" ng-model="formData.Rch" ng-change="calculate()" />
	    <span class="input-label">&nbsp;°C/W</span>
	  </label>
	  <span class="item item-divider bar bar-dark">Heatsink</span>
	  <label class="item item-input">
	    <span class="input-label">T<sub>a</sub></span>
	    <input type="number" step="0.01" ng-model="formData.Ta" ng-change="calculate()" />
	    <span class="input-label">&nbsp;°C</span>
	  </label>
	  <label class="item item-input">
	    <span class="input-label">R<sub>θh-a</sub></span>
	    <input type="number" step="0.01" ng-model="formData.Rha" readonly />
	    <span class="input-label">&nbsp;°C/W</span>
	  </label>
	</div>
      </ion-content>
    </ion-pane>
  </body>
</html>
